import { expect, expectAsync, tap } from '@push.rocks/tapbundle';
import * as opendata from '../ts/index.js'

import { BusinessRecord } from '../ts/classes.businessrecord.js';

let testOpenDataInstance: opendata.OpenData;

tap.test('first test', async () => {
  testOpenDataInstance = new opendata.OpenData();
  expect(testOpenDataInstance).toBeInstanceOf(opendata.OpenData);
});

tap.test('should start the instance', async () => {
  await testOpenDataInstance.start();
});

const resultsSearch = tap.test('should get the data for a company', async () => {
  const result = await testOpenDataInstance.handelsregister.searchCompany('LADR', 20); 
  console.log(result);
  return result;
});

tap.test('should get the data for a specific company', async () => {
  let testCompany: BusinessRecord['data']['germanParsedRegistration'] = (await resultsSearch.testResultPromise)[0]['germanParsedRegistration'];
  console.log(`trying to find specific company with:`);
  console.log(testCompany);
  const result = await testOpenDataInstance.handelsregister.getSpecificCompany(testCompany);
  console.log(result);

  result.files.map(async (file) => {
    await file.writeToDir('./.nogit/testoutput');
  });


});

tap.test('should stop the instance', async () => {
  await testOpenDataInstance.stop();
});


tap.start()
